package com.dayou.brokerage.constants;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/3/3
 * created with IntelliJ IDEA.
 */
public enum BrokerageState {

    NOT_START("未开始","NOT_START"),

    NOT_SETTLE("待结算","NOT_SETTLE"),
    PREDICTING("参与人预提中","PREDICTING"),
    FREEZE("冻结","FREEZE"),

    PARTICIPANT_SETTLE("参与人已结算","PARTICIPANT_SETTLE"),

    MARKETER_SETTLE("客户经理已结算","MARKETER_SETTLE"),

    ITEM_SETTLE("项目已结算","ITEM_SETTLE"),

    CLOSED("提成已结算","CLOSED");
    ;

    private String name;

    private String code;

    BrokerageState(String name, String code) {
        this.name = name;
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public String getCode() {
        return code;
    }

}
